<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:rich="http://richfaces.org/rich" xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j" xmlns="http://www.w3.org/1999/xhtml">
  <s:div id="validationRes">
    <gri:panel pid="UploadObjectFile"
    	rendered="#{HL7TemplateValManager.currentHL7TemplValidation!=null and HL7TemplateValManager.canViewResult()}">
      <f:facet name="header">
        <h:outputText value="#{messages['net.ihe.gazelle.cdagen.HL7TemplatesValidationResult']}"/>
      </f:facet>
	<gri:tabPanel rendered="#{HL7TemplateValManager.currentHL7TemplValidation.id!=null}" id="tabpanelcomm">
        <gri:tab head="#{messages['net.ihe.gazelle.ValidationResult']}" id="vrtab">
          <s:decorate rendered="#{HL7TemplateValManager.currentHL7TemplValidation.name!=null}" template="/layout/display/_display.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.cdagen.Name_2']} </ui:define>
            <h:outputText value="#{HL7TemplateValManager.currentHL7TemplValidation.name}"/>
          </s:decorate>
          <s:decorate rendered="#{HL7TemplateValManager.currentHL7TemplValidation.url!=null}" template="/layout/display/_display.xhtml">
            <ui:define name="label">#{messages['net.ihe.gazelle.cdagen.URL_2']} </ui:define>
            <h:outputText value="#{HL7TemplateValManager.currentHL7TemplValidation.url}"/>
          </s:decorate>
          <h:outputText value="#{messages['net.ihe.gazelle.cdagen.NumberChecks']} " style="font-weight : bold;"/>
          <h:outputText value="#{HL7TemplateValManager.currentHL7TemplValidation.validationResultChecks.size()}"/>
          <h:outputText value=" (#{messages['net.ihe.gazelle.cdagen.CDAChecks']} "/>
          <h:outputText value="#{HL7TemplateValManager.extractNumberCDACheck('all')})"/>
          <br/>
          <h:outputText value="#{messages['net.ihe.gazelle.cdagen.FatalErrors']} " style="font-weight : bold;"/>
          <h:outputText value="#{HL7TemplateValManager.extractNumberCheck('fatalerror')}"/>
          <h:outputText value=" (#{messages['net.ihe.gazelle.cdagen.CDAChecks']} "/>
          <h:outputText value="#{HL7TemplateValManager.extractNumberCDACheck('fatalerror')})"/>
          <br/>
          <h:outputText value="#{messages['net.ihe.gazelle.cdagen.Errors']} " style="font-weight : bold;"/>
          <h:outputText value="#{HL7TemplateValManager.extractNumberCheck('error')}"/>
          <h:outputText value=" (#{messages['net.ihe.gazelle.cdagen.CDAChecks']} "/>
          <h:outputText value="#{HL7TemplateValManager.extractNumberCDACheck('error')})"/>
          <br/>
          <h:outputText value="#{messages['net.ihe.gazelle.cdagen.Warnings']} " style="font-weight : bold;"/>
          <h:outputText value="#{HL7TemplateValManager.extractNumberCheck('warning')}"/>
          <h:outputText value=" (#{messages['net.ihe.gazelle.cdagen.CDAChecks']} "/>
          <h:outputText value="#{HL7TemplateValManager.extractNumberCDACheck('warning')})"/>
          <br/>
		  <h:commandButton
			action="#{HL7TemplateValManager.downloadResultValidation()}"
			value="#{messages['net.ihe.gazelle.DownloadValidationResult']}"
			styleClass="gzl-btn-blue" />

		  <a4j:repeat value="#{HL7TemplateValManager.extractFailedCheck()}" var="check">
            <s:div styleClass="#{HL7TemplateValManager.extractCSSClass(check)}">
              <h:outputText style="font-weight: bold;" value="#{messages['net.ihe.gazelle.cdagen.Test']}  "/>
              <h:outputText value="#{check.test}"/>
              <h:outputText value="(#{messages['net.ihe.gazelle.cdagen.ValidationLevel']} #{check.validationLevel} , #{messages['net.ihe.gazelle.cdagen.Type_2']} #{check.problemType})"/>
              <br/>
              <h:outputText style="font-weight: bold;" value="#{messages['net.ihe.gazelle.cdagen.Location']} "/>
              <h:outputText value="#{check.location}"/>
              <br/>
              <h:outputText style="font-weight: bold;" value="#{messages['net.ihe.gazelle.cdagen.CDALocation']} "/>
              <h:outputText value="#{check.cdaLocation}"/>
              <br/>
              <h:outputText style="font-weight: bold;" value="#{messages['net.ihe.gazelle.cdagen.Description']} "/>
              <h:outputText value="#{check.description}"/>
              <br/>
            </s:div>
          </a4j:repeat>
        </gri:tab>
        <gri:tab head="#{messages['net.ihe.gazelle.L0']}" id="l0tab">
          <h:commandButton action="#{HL7TemplateValManager.downloadLevel('L0')}" value="#{messages['net.ihe.gazelle.cdagen.DownloadRequestMessage']}"  styleClass="gzl-btn-blue"/>
          <br/>
          <h:outputText value="#{HL7TemplateValManager.extractValidatedLevel('L0')}" style="white-space: pre-wrap"/>
        </gri:tab>
        <gri:tab  head="#{messages['net.ihe.gazelle.L1']}" id="l1tab">
          <h:commandButton action="#{HL7TemplateValManager.downloadLevel('L1')}" value="#{messages['net.ihe.gazelle.cdagen.DownloadRequestMessage']}"  styleClass="gzl-btn-blue"/>
          <br/>
          <h:outputText value="#{HL7TemplateValManager.extractValidatedLevel('L1')}" style="white-space: pre-wrap"/>
        </gri:tab>
        <gri:tab head="#{messages['net.ihe.gazelle.L2']}" id="l2tab">
          <h:commandButton action="#{HL7TemplateValManager.downloadLevel('L2')}" value="#{messages['net.ihe.gazelle.cdagen.DownloadRequestMessage']}"  styleClass="gzl-btn-blue"/>
          <br/>
          <h:outputText value="#{HL7TemplateValManager.extractValidatedLevel('L2')}" style="white-space: pre-wrap"/>
        </gri:tab>
        <gri:tab head="#{messages['net.ihe.gazelle.L3']}" id="l3tab">
          <h:commandButton action="#{HL7TemplateValManager.downloadLevel('L3')}" value="#{messages['net.ihe.gazelle.cdagen.DownloadRequestMessage']}"  styleClass="gzl-btn-blue"/>
          <br/>
          <h:outputText value="#{HL7TemplateValManager.extractValidatedLevel('L3')}" style="white-space: pre-wrap"/>
        </gri:tab>
        <gri:tab head="#{messages['net.ihe.gazelle.L4']}" id="l4tab">
          <h:commandButton action="#{HL7TemplateValManager.downloadLevel('L4')}" value="#{messages['net.ihe.gazelle.cdagen.DownloadRequestMessage']}"  styleClass="gzl-btn-blue"/>
          <br/>
          <h:outputText value="#{HL7TemplateValManager.extractValidatedLevel('L4')}" style="white-space: pre-wrap"/>
        </gri:tab>
        <gri:tab head="#{messages['net.ihe.gazelle.L5']}" id="l5tab">
          <h:commandButton action="#{HL7TemplateValManager.downloadLevel('L5')}" value="#{messages['net.ihe.gazelle.cdagen.DownloadRequestMessage']}"  styleClass="gzl-btn-blue"/>
          <br/>
          <h:outputText value="#{HL7TemplateValManager.extractValidatedLevel('L5')}" style="white-space: pre-wrap"/>
        </gri:tab>
        <gri:tab head="#{messages['net.ihe.gazelle.LFV']}" id="lfvtab">
          <h:commandButton action="#{HL7TemplateValManager.downloadLevel('FLATTEN_VOCAB')}" value="#{messages['net.ihe.gazelle.cdagen.DownloadRequestMessage']}" styleClass="gzl-btn-blue"/>
          <br/>
          <h:outputText value="#{HL7TemplateValManager.extractValidatedLevel('FLATTEN_VOCAB')}"  style="white-space: pre-wrap"/>
        </gri:tab>
      </gri:tabPanel>
    </gri:panel>
  </s:div>
</ui:composition>
